declare const visuallyHidden = "\n\tposition: absolute;\n\topacity: 0;\n\theight: 0;\n\twidth: 0;\n\ttop: 0;\n\tleft: 0;\n";
declare const focusHalo: string;
declare const descriptionId: (id: string) => string;
declare const generateSourceId: () => string;
// FYI
// packages/@guardian/src-foundations/src/animation.ts SYMLINKS TO
// packages/@guardian/source-foundations/src/animation.ts
declare const transitions: {
    short: string;
    medium: string;
    long: string;
};
// packages/@guardian/src-foundations/src/breakpoints.ts SYMLINKS TO
// packages/@guardian/source-foundations/src/breakpoints.ts
type Breakpoint = "mobile" | "mobileMedium" | "mobileLandscape" | "phablet" | "tablet" | "desktop" | "leftCol" | "wide";
declare const breakpoints: {
    mobile: number;
    mobileMedium: number;
    mobileLandscape: number;
    phablet: number;
    tablet: number;
    desktop: number;
    leftCol: number;
    wide: number;
};
type BreakpointMap = {
    [key in Breakpoint]: string;
};
// e.g. from.*
declare const from: BreakpointMap;
// e.g. until.*
declare const until: BreakpointMap;
// e.g. between.*.and.*
declare const between: {
    mobile: {
        and: {
            mobileMedium: string;
            mobileLandscape: string;
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    mobileMedium: {
        and: {
            mobileLandscape: string;
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    mobileLandscape: {
        and: {
            phablet: string;
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    phablet: {
        and: {
            tablet: string;
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    tablet: {
        and: {
            desktop: string;
            leftCol: string;
            wide: string;
        };
    };
    desktop: {
        and: {
            leftCol: string;
            wide: string;
        };
    };
    leftCol: {
        and: {
            wide: string;
        };
    };
};
declare const brand: {
    100: string;
    300: string;
    400: string;
    500: string;
    600: string;
    800: string;
};
declare const brandAlt: {
    200: string;
    300: string;
    400: string;
};
declare const neutral: {
    0: string;
    7: string;
    10: string;
    20: string;
    46: string;
    60: string;
    86: string;
    93: string;
    97: string;
    100: string;
};
declare const error: {
    400: string;
    500: string;
};
declare const success: {
    400: string;
    500: string;
};
declare const news: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    550: string;
    600: string;
    800: string;
};
declare const opinion: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    550: string;
    600: string;
    800: string;
};
declare const sport: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    600: string;
    800: string;
};
declare const culture: {
    50: string;
    100: string;
    200: string;
    300: string;
    350: string;
    400: string;
    500: string;
    600: string;
    700: string;
    800: string;
};
declare const lifestyle: {
    100: string;
    200: string;
    300: string;
    400: string;
    500: string;
    600: string;
    800: string;
};
declare const labs: {
    200: string;
    300: string;
    400: string;
};
declare const specialReport: {
    100: string;
    200: string;
    300: string;
    400: string;
    450: string;
    500: string;
    700: string;
    800: string;
};
declare const focus: {
    400: string;
};
// Hover colours are snowflakes as they are manipulations of colours from the
// main palette.
declare const background: {
    primary: string;
    secondary: string;
    inverse: string;
    ctaPrimary: string;
    ctaPrimaryHover: string;
    ctaSecondary: string;
    ctaSecondaryHover: string;
    ctaTertiaryHover: string;
    input: string;
    inputChecked: string;
};
declare const brandBackground: {
    primary: string;
    inputChecked: string;
    ctaPrimary: string;
    ctaPrimaryHover: string;
    ctaSecondary: string;
    ctaSecondaryHover: string;
    ctaTertiaryHover: string;
};
declare const brandAltBackground: {
    primary: string;
    ctaPrimary: string;
    ctaPrimaryHover: string;
    ctaSecondary: string;
    ctaSecondaryHover: string;
    ctaTertiaryHover: string;
};
declare const border: {
    primary: string;
    secondary: string;
    success: string;
    error: string;
    ctaTertiary: string;
    input: string;
    inputChecked: string;
    inputHover: string;
    inputActive: string;
    focusHalo: string;
};
declare const brandBorder: {
    primary: string;
    secondary: string;
    success: string;
    error: string;
    ctaTertiary: string;
    input: string;
    inputChecked: string;
    inputHover: string;
};
declare const brandAltBorder: {
    ctaTertiary: string;
};
declare const line: {
    primary: string;
};
declare const brandLine: {
    primary: string;
};
declare const brandAltLine: {
    primary: string;
};
declare const text: {
    primary: string;
    supporting: string;
    success: string;
    error: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
    anchorSecondary: string;
    userInput: string;
    inputLabel: string;
    inputLabelSupporting: string;
    inputChecked: string;
    inputHover: string;
    groupLabel: string;
    groupLabelSupporting: string;
    newsInverse: string;
};
declare const brandText: {
    primary: string;
    supporting: string;
    success: string;
    error: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
    anchorPrimaryHover: string;
    userInput: string;
    inputLabel: string;
    inputLabelSupporting: string;
};
declare const brandAltText: {
    primary: string;
    supporting: string;
    ctaPrimary: string;
    ctaSecondary: string;
    ctaTertiary: string;
    anchorPrimary: string;
};
/*
The size scale is based entirely on the medium, small and
xsmall buttons. The medium size meets WCAG 2.1 AAA compliance
for touch targets.
*/
declare const size: {
    xsmall: number;
    small: number;
    medium: number;
};
/*
We attempt to use these values for icons within Source components.
They are analogous with component heights defined by the size values
above. They are based on the size of icons used within the button
component.
*/
declare const iconSize: {
    xsmall: number;
    small: number;
    medium: number;
};
declare const height: {
    ctaMedium: number;
    ctaSmall: number;
    ctaXsmall: number;
    inputMedium: number;
    inputXsmall: number;
    iconMedium: number;
    iconSmall: number;
    iconXsmall: number;
};
declare const remHeight: {
    ctaMedium: number;
    ctaSmall: number;
    ctaXsmall: number;
    inputMedium: number;
    inputXsmall: number;
    iconMedium: number;
    iconSmall: number;
    iconXsmall: number;
};
declare const width: {
    ctaMedium: number;
    ctaSmall: number;
    ctaXsmall: number;
    inputXsmall: number;
    iconMedium: number;
    iconSmall: number;
    iconXsmall: number;
};
declare const remWidth: {
    ctaMedium: number;
    ctaSmall: number;
    ctaXsmall: number;
    inputXsmall: number;
    iconMedium: number;
    iconSmall: number;
    iconXsmall: number;
};
declare const space: {
    1: number;
    2: number;
    3: number;
    4: number;
    5: number;
    6: number;
    9: number;
    12: number;
    24: number;
};
/* TODO: this should be exposed as a number instead of a string,
so consumers can perform calculations on it */
declare const remSpace: {
    [K in keyof typeof space]: string;
};
type ScaleUnit = "rem" | "px";
type Category = "titlepiece" | "headline" | "body" | "textSans";
type LineHeight = "tight" | "regular" | "loose";
type FontWeight = "light" | "regular" | "medium" | "bold";
type FontStyle = "normal" | "italic";
type FontWeightDefinition = {
    hasItalic: boolean;
};
type Option<A> = A | null;
type TypographyStyles = {
    fontFamily: string;
    fontSize: string | number;
    lineHeight: string | number;
    fontWeight?: number;
    fontStyle?: string;
};
type TypographySizes = {
    [key in string]: number;
};
interface TitlepieceSizes extends TypographySizes {
    small: number;
    medium: number;
    large: number;
}
interface HeadlineSizes extends TypographySizes {
    xxxsmall: number;
    xxsmall: number;
    xsmall: number;
    small: number;
    medium: number;
    large: number;
    xlarge: number;
}
interface BodySizes extends TypographySizes {
    small: number;
    medium: number;
}
interface TextSansSizes extends TypographySizes {
    xxsmall: number;
    xsmall: number;
    small: number;
    medium: number;
    large: number;
    xlarge: number;
    xxlarge: number;
    xxxlarge: number;
}
type Fs = (category: Category) => (level: string, { lineHeight, fontWeight, fontStyle, unit }: {
    lineHeight: LineHeight;
    fontWeight: FontWeight;
    fontStyle: Option<FontStyle>;
    unit: ScaleUnit;
}) => TypographyStyles;
type FontScaleFunction = (options?: FontScaleArgs) => TypographyStyles;
// returns styles as a template literal
type FontScaleFunctionStr = (options?: FontScaleArgs) => string;
interface FontScaleArgs {
    lineHeight?: LineHeight;
    fontWeight?: FontWeight;
    fontStyle?: FontStyle;
    unit?: ScaleUnit;
}
declare const titlepieceSizes: TitlepieceSizes;
declare const headlineSizes: HeadlineSizes;
declare const bodySizes: BodySizes;
declare const textSansSizes: TextSansSizes;
declare const remTitlepieceSizes: TitlepieceSizes;
declare const remHeadlineSizes: HeadlineSizes;
declare const remBodySizes: BodySizes;
declare const remTextSansSizes: TextSansSizes;
type TypographyApi<Sizes> = {
    [key in keyof Sizes]: FontScaleFunctionStr;
};
declare const titlepiece: TypographyApi<TitlepieceSizes>;
declare const headline: TypographyApi<HeadlineSizes>;
declare const body: TypographyApi<BodySizes>;
declare const textSans: TypographyApi<TextSansSizes>;
type TitlepieceFunctions = {
    [key in keyof TitlepieceSizes]: FontScaleFunction;
};
declare const titlepiece$0: TitlepieceFunctions;
type HeadlineFunctions = {
    [key in keyof HeadlineSizes]: FontScaleFunction;
};
declare const headline$0: HeadlineFunctions;
type BodyFunctions = {
    [key in keyof BodySizes]: FontScaleFunction;
};
declare const body$0: BodyFunctions;
type TextSansFunctions = {
    [key in keyof TextSansSizes]: FontScaleFunction;
};
declare const textSans$0: TextSansFunctions;
// packages/@guardian/src-foundations/src/utils/supports-queries.ts SYMLINKS TO
// packages/@guardian/source-foundations/src/utils/supports-queries.ts
declare const appearance = "(appearance: none) or (-webkit-appearance: none) or (-moz-appearance: none)";
declare const FocusStyleManager: {
    alwaysShowFocus: () => void;
    isActive: () => boolean;
    onlyShowFocusOnTabs: () => void;
};
// packages/@guardian/src-foundations/src/utils/px-to-rem.ts SYMLINKS TO
// packages/@guardian/source-foundations/src/utils/px-to-rem.ts
declare const rootPixelFontSize = 16;
declare const pxToRem: (px: number) => number;
declare const resets: {
    legend: string;
    fieldset: string;
    input: string;
    defaults: string;
    resetCSS: string;
};
export { descriptionId, focusHalo, generateSourceId, visuallyHidden, transitions, Breakpoint, breakpoints, between, from, until, brand, brandAlt, neutral, error, success, news, opinion, sport, culture, lifestyle, labs, specialReport, focus, background, brandBackground, brandAltBackground, border, brandBorder, brandAltBorder, line, brandLine, brandAltLine, text, brandText, brandAltText, height, iconSize, remHeight, remWidth, size, width, space, remSpace, titlepiece, headline, body, textSans, titlepieceSizes, headlineSizes, bodySizes, textSansSizes, remTitlepieceSizes, remHeadlineSizes, remBodySizes, remTextSansSizes, fonts, fontWeights, lineHeights, body$0 as bodyObjectStyles, headline$0 as headlineObjectStyles, textSans$0 as textSansObjectStyles, titlepiece$0 as titlepieceObjectStyles, ScaleUnit, Category, LineHeight, FontWeight, FontStyle, FontWeightDefinition, Option, TypographyStyles, TypographySizes, TitlepieceSizes, HeadlineSizes, BodySizes, TextSansSizes, Fs, FontScaleFunction, FontScaleFunctionStr, FontScaleArgs, appearance, FocusStyleManager, pxToRem, rootPixelFontSize, resets };
//# sourceMappingURL=index.cjs.d.ts.map